<?php
/*! @file

    @id $Id$

    @see @ref apichecknewuser

    @page api Server API

    @tableofcontents

    @section apichecknewuser Check If User Exists

    API-call checknewuser.php

    Check if a user exists in the server's user table.

    @param user user name to check
    @return json encoded value:
      - 'user name as string', if user does exist
      - null, if user does not exist or in case of error
*/
//       1         2         3         4         5         6         7         8
// 45678901234567890123456789012345678901234567890123456789012345678901234567890

require_once("usertable.php");
try {
  $user = $db->real_escape_string($_REQUEST['user']);
  $q = $db->query("select * from user where name='$user';");
  if ($q->num_rows==0) {
    echo json_encode($_REQUEST['user']);
  } else {
    echo json_encode(null);
  }
} catch (Exception $e) {
  echo json_encode(null);
}
?>